
/**
 * Das Interface Observer definert eine Methode update, die immer dann
 * aufgerufen wird, wenn sich der Zustand des beobachteten Objekts (in
 * ndert.
 * Ein konkreter Beobachter impementiert das Interface Observer und 
 * registriert sich bei allen Subjekten , ber deren Zustandsnderungen 
 * er unterrichtet werden mchte. Er implementiert in update den Code, 
 * der zur Bearbeitung der Zustandsnderung erforderlich ist.
 * --> die konkreten Beobachter sind hier alle Klasse mit grafischer 
 *     Oberflche
 */

public interface Observer {
	public void update(Subject s);
}